local index = Var("GameCommand"):GetIndex();

local widths = {
	96,
	64,
	148,
	22,
	64,
	20,
};

local xPos = {
	-60,
	-45,
	-86,
	-22,
	-46,
	-20,
};

local t = Def.ActorFrame{
	LoadFont("_frutiger lt std 55","roman 24px") ..{
		Name="Choice"..index;
		Text=THEME:GetString( 'ScreenTitleMenu', Var("GameCommand"):GetText() );
		InitCommand=cmd(shadowlength,0;diffuse,color("#000000");halign,1;diffusetopedge,color("0.25,0.25,0.25,1"));
		DisabledCommand=cmd(diffuse,0.5,0.5,0.5,1);
	};
	
	--[[
	LoadActor("_selector") .. {
		InitCommand=cmd(halign,1;addx,16);
		GainFocusCommand=function(self)
			diffusealpha,1;glowshift;effectcolor1,1,1,1,0.1;effectcolor2,1,1,1,0.8;effectperiod,2
		end;
		LoseFocusCommand=cmd(diffusealpha,0;stopeffect);
	};
	]]
	LoadActor( THEME:GetPathB("","_frame 3x1"), "_selector", widths[index+1]) .. {
		GainFocusCommand=function(self)
			--local item = self:GetParent():GetChild("Choice"..index);
			--self:x( item:GetX() );
			
			self:x(xPos[index+1]);
			self:diffusealpha(1);
		end;
		LoseFocusCommand=cmd(diffusealpha,0;);
	};
};

return t;